package J20250716.demo01_extends;

/**
 * @author WanJl
 * @version 1.0
 * @title Dog
 * @description
 * @create 2025/7/16
 */
public class Dog extends Animal{
    public Dog(int a) {
        super(a);
        System.out.println("狗类无参的构造方法");
    }
    @Override   //重写注解，检查下面的方法是否是重写的父类方法
    public void move(){
        System.out.println("狗要跑...四个蹄儿......");
    }
    //父类和子类有相同的静态方法，只能说明巧合，恰巧父子类有同名方法。不能说明是子类重写父类的静态方法。
    //因为无法通过Override注解验证
    public static void met(){
        System.out.println("父类的静态方法");
    }
}
